Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.lib
Class NodeInfo

    java.lang.Object
      |
      +--weblogic.apache.xalan.lib.NodeInfo

public class NodeInfo
extends java.lang.Object

`NodeInfo` defines the XSLT extension functions to be used from stylesheets.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Ovidiu Predescu

Constructor Summary
`NodeInfo()`

Method Summary
`static int` | `columnNumber(ExpressionContext context)` `columnNumber` returns the column number of the current context node.
`static int` | `columnNumber(org.w3c.dom.NodeList nodeList)` `columnNumber` returns the column number of the node passed as argument.
`static int` | `lineNumber(ExpressionContext context)` `lineNumber` returns the line number of the current context node.
`static int` | `lineNumber(org.w3c.dom.NodeList nodeList)` `lineNumber` returns the line number of the node passed as argument.
`static java.lang.String` | `publicId(ExpressionContext context)` `publicId` returns the system id of the current context node.
`static java.lang.String` | `publicId(org.w3c.dom.NodeList nodeList)` `publicId` returns the system id of the node passed as argument.
`static java.lang.String` | `systemId(ExpressionContext context)` `systemId` returns the system id of the current context node.
`static java.lang.String` | `systemId(org.w3c.dom.NodeList nodeList)` `systemId` returns the system id of the node passed as argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeInfo

    public NodeInfo()

Method Detail

### systemId

    public static java.lang.String systemId(ExpressionContext context)

  `systemId` returns the system id of the current context node.

  Parameters:
    `context` - an `ExpressionContext` value
  Returns:
    a `String` value

### systemId

    public static java.lang.String systemId(org.w3c.dom.NodeList nodeList)

  `systemId` returns the system id of the node passed as argument. If a node set is passed as argument, the system id of the first node in the set is returned.

  Parameters:
    `context` - an `ExpressionContext` value
    `nodeList` - a `NodeList` value
  Returns:
    a `String` value

### publicId

    public static java.lang.String publicId(ExpressionContext context)

  `publicId` returns the system id of the current context node.

  Parameters:
    `context` - an `ExpressionContext` value
  Returns:
    a `String` value

### publicId

    public static java.lang.String publicId(org.w3c.dom.NodeList nodeList)

  `publicId` returns the system id of the node passed as argument. If a node set is passed as argument, the system id of the first node in the set is returned.

  Parameters:
    `context` - an `ExpressionContext` value
    `nodeList` - a `NodeList` value
  Returns:
    a `String` value

### lineNumber

    public static int lineNumber(ExpressionContext context)

  `lineNumber` returns the line number of the current context node.

  Parameters:
    `context` - an `ExpressionContext` value
  Returns:
    an `int` value

### lineNumber

    public static int lineNumber(org.w3c.dom.NodeList nodeList)

  `lineNumber` returns the line number of the node passed as argument. If a node set is passed as argument, the line number of the first node in the set is returned.

  Parameters:
    `nodeList` - a `NodeList` value
  Returns:
    an `int` value

### columnNumber

    public static int columnNumber(ExpressionContext context)

  `columnNumber` returns the column number of the current context node.

  Parameters:
    `context` - an `ExpressionContext` value
  Returns:
    an `int` value

### columnNumber

    public static int columnNumber(org.w3c.dom.NodeList nodeList)

  `columnNumber` returns the column number of the node passed as argument. If a node set is passed as argument, the line number of the first node in the set is returned.

  Parameters:
    `nodeList` - a `NodeList` value
  Returns:
    an `int` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference